<?php

// Define root alias path
Yii::setPathOfAlias('site', realpath(dirname(__FILE__).'/../..'));

// Standard aliasses
Yii::setPathOfAlias('common',		Yii::getPathOfAlias('site').'/common');
Yii::setPathOfAlias('console',	Yii::getPathOfAlias('site').'/console');
Yii::setPathOfAlias('front',		Yii::getPathOfAlias('site').'/front');

// Vendor libriaries path

Yii::setPathOfAlias('lib',			Yii::getPathOfAlias('common').'/lib');

if(is_file(dirname(__FILE__).'/aliasses-local.php'))
	require(dirname(__FILE__).'/aliasses-local.php');

$config = array(
	'name'=>'My Web Application',
	
	// preloading 'log' component
	'preload'=>array('log'),
	
	// autoloading model and component classes
	'import'=>array(
		'common.models.*',
		'common.components.*',
	),
	
	'extensionPath'=>Yii::getPathOfAlias('common').'/extensions',
	
	// application components
	'components'=>array(
		'log'=>array(
			'class'=>'CLogRouter',
			'routes'=>array(
				array(
					'class'=>'CFileLogRoute',
					'levels'=>'error, warning',
				),
			),
		),
	),
);

// Load required DB config
if(is_file(dirname(__FILE__).'/database-local.php'))
	$config['components']['db'] = require(dirname(__FILE__).'/database-local.php');
else
	die('No DB config file!');

// Load optional parameters
if(is_file(dirname(__FILE__).'/params.php'))
	$config['params'] = require(dirname(__FILE__).'/params.php');

return $config;

